/* Reset CSS */

html,
body {
  margin: 0;
  padding: 0;
  font-family: "Roboto", sans-serif;
}

ul,
li {
  list-style-type: none;
}

button:hover {
  cursor: pointer;
}

/* header CSS */

.index_header {
  width: 90%;
  height: 5%;
  position: relative;
  margin: 0 5% 0 5%;
}

.index_header_logo {
  z-index: 2;
  width: 15%;
  margin: 1% 0 0 0;
  position: absolute;
}

.index_header_logo:hover {
  cursor: pointer;
}

.header_banner_div {
  position: relative;
  width: 100%;
  min-width: 100%;
}

.header_banner_image {
  margin-top: 7%;
  z-index: 1;
  max-height: 500px;
  position: relative;
  object-fit: cover;
  filter: brightness(75%);
  width: 100%;
  top: 0;
  left: 0;
}

.header_banner_p {
  position: absolute;
  z-index: 1;
  bottom: -35%;
  right: 10%;
  width: 80%;
  color: white;
  text-align: center;
  font-size: 1.5em;
  font-weight: bold;
  height: 100%;
  -webkit-animation: text-focus-in 1s cubic-bezier(0.55, 0.085, 0.68, 0.53) both;
  animation: text-focus-in 1s cubic-bezier(0.55, 0.085, 0.68, 0.53) both;
}

@-webkit-keyframes text-focus-in {
  0% {
    -webkit-filter: blur(12px);
    filter: blur(12px);
    opacity: 0;
  }
  100% {
    -webkit-filter: blur(0px);
    filter: blur(0px);
    opacity: 1;
  }
}
@keyframes text-focus-in {
  0% {
    -webkit-filter: blur(12px);
    filter: blur(12px);
    opacity: 0;
  }
  100% {
    -webkit-filter: blur(0px);
    filter: blur(0px);
    opacity: 1;
  }
}

.header_banner_button {
  position: absolute;
  border: none;
  z-index: 1;
  bottom: 5%;
  right: 5%;
  color: white;
  background-color: #f06400;
  border-radius: 33px;
  text-align: right;
  padding: 3% 6% 3% 6%;
}

.header_banner_button:hover {
  cursor: pointer;
}

/* main CSS */

.main_description_div {
  padding: 2% 0 2% 0;
  line-height: 10%;
  width: 86%;
  margin: 2% 7% 2% 7%;
  background-color: #00b1af;
  text-align: center;
  color: white;
}

.main_description_hr {
  width: 15%;
}

.main_description_little_p {
  line-height: initial;
  font-size: 0.8em;
}

.main_showcase {
  width: 90%;
  margin: 5% 5% 17% 5%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  row-gap: 10%;
  align-items: center;
}

.main_showcase_div {
  width: 80%;
  height: 100%;
  margin: 0 10% 0 10%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  line-height: 100%;
}

.main_showcase_image {
  width: 100%;
}

.main_showcase_div_button {
  margin-top: 3%;
  width: 100%;
  align-items: right;
}

.main_showcase_button {
  width: 80%;
  border: none;
  margin-left: 35%;
  background-color: #f06400;
  border-radius: 33px;
  text-align: center;
  padding: 1% 2% 1% 2%;
  color: white;
}

.main_showcase_see_more_button {
  width: 100%;
}

.main_showcase_see_more_button_button {
  width: 84%;
  border: none;
  background-color: #f06400;
  border-radius: 33px;
  text-align: center;
  margin: 0 8% 0 8%;
  padding: 2% 3% 2% 3%;
  color: white;
}

.main_showcase_button:hover {
  cursor: pointer;
}

.main_showcase_p {
  margin-top: -3%;
}

.main_prestation_section {
  margin-top: 10%;
}

.main_prestation_title {
  border-bottom: #f06400 solid 5px;
  max-width: max-content;
  padding-right: 2%;
  margin-left: 7%;
}

.main_prestation_displaying_div {
  width: 90%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin: 5% 0 5% 0;
}

.main_prestation_image {
  max-width: 100%;
}

.main_prestation_div_item {
  width: 100%;
  text-align: center;
  align-items: center;
}

.main_select_car_main_div {
  width: 86%;
  margin: 0 7% 0 7%;
  background-color: #00b1af;
  padding: 5% 0 5% 0;
}

.main_select_car_displaying_div {
  width: 80%;
  margin: 0 10%;
  padding: 2% 0 2% 0;
  display: flex;
  justify-content: space-around;
  flex-direction: row;
  flex-wrap: wrap;
  background-color: white;
}

.main_select_car_strong {
  font-size: smaller;
  width: 100%;
  text-align: center;
}

.main_select_car_select {
  width: 40%;
}

.main_select_car_button {
  width: 40%;
  color: white;
  background-color: #f06400;
  border: none;
  border-radius: 33px;
  text-align: right;
  padding: 1% 6% 1% 6%;
  text-align: center;
}

.main_select_car_button:hover {
  cursor: pointer;
}

/* footer CSS */

#footer {
  width: 100%;
  margin-bottom: 5%;
}

.footer_conditions_div {
  width: 90%;
  margin: 0 5% 0% 5%;
  background-color: #eeeeee;
  color: gray;
  text-align: left;
  font-size: smaller;
}

.footer_conditions_p {
  padding: 1%;
}

@media (min-width: 650px) {
  .main_select_car_strong {
    font-size: smaller;
    width: 30%;
    text-align: initial;
  }
  .main_select_car_select {
    width: 30%;
  }
  .main_select_car_button {
    width: 30%;
  }
  .main_showcase {
    margin: 3% 5% 10% 5%;
  }
  .header_banner_image {
    max-height: 300px;
  }
  .main_showcase_button {
    width: 45%;
    margin-left: 60%;
  }
  .main_prestation_displaying_div {
    grid-template-columns: repeat(4, 1fr);
    margin: auto;
    max-width: 100%;
  }
  .header_banner_p {
    bottom: 15%;
    right: 5%;
    width: 70%;
    text-align: right;
    font-size: 2em;
    height: auto;
  }
  .main_showcase_see_more_button_button {
    width: 70%;
    margin: 0 15% 0 15%;
  }
  .main_showcase_image {
    width: 70%;
  }
}

@media (min-width: 925px) {
  .header_banner_image {
    max-height: 500px;
  }
  .header_banner_button {
    padding: 2% 4% 2% 4%;
  }
  .header_banner_p {
    width: 50%;
  }
  .main_showcase_p {
    margin-top: 0;
  }
}
